The develop manual "Implementing a RESTful Service" of GeoServer 2.14.x is incorrect

Description

When Implementing a RESTful Service for my own plugin with GeoServer 2.14.x, I found the documentation "Implementing a RESTful Service" is too old and incorrect which based on version 2.8.x.

The class "org.geoserver.rest.AbstractResource" was not found in GeoServer 2.14.x, although it exists in GeoServer 2.8.x. Is gs-rest module incompatible between version 2.14.x and 2.8.x?If I want to use version 2.14.x, how to implement a RESTful Service?

Environment

GeoServer 2.14.x

Status

Assignee

Jody Garnett

Reporter

Mufasa Aric

Triage

Fix versions

None

Affects versions

2.14.4
2.14.2
2.14.0

Components

Priority

High
Configure